Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class SessionConfig

    java.lang.Object
      org.apache.catalina.util.SessionConfig

    public class SessionConfig

extends Object

Method Summary
`static String` | `getSessionCookieName(Context context)` Determine the name to use for the session cookie for the provided context.
`static String` | `getSessionUriParamName(Context context)` Determine the name to use for the session cookie for the provided context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSessionCookieName

    public static String getSessionCookieName(Context context)

  Determine the name to use for the session cookie for the provided context.

  Parameters:
    `context` -

### getSessionUriParamName

    public static String getSessionUriParamName(Context context)

  Determine the name to use for the session cookie for the provided context.

  Parameters:
    `context` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.